import type { PluginObj } from '@babel/core';
export interface Options {
    /**
     * The supported extensions.
     *
     * @default ['.css', '.less', '.sass', '.scss', '.stylus', '.styl']
     */
    exts?: string[];
    /**
     * The query flag to identify CSS Modules.
     *
     * @default 'modules'
     */
    flag?: string;
    /**
     * The RegExp of the ignored files.
     *
     * @example /_variables\.scss$/
     */
    ignore?: RegExp;
}
export declare function babelPluginSmartCssModules(_: any, { exts, flag, ignore, }?: Options): PluginObj;
export declare function useSmartCssModules(options?: Options): PluginObj;
export default babelPluginSmartCssModules;
