"use strict";

exports.__esModule = true;
exports.babelPluginSmartCssModules = babelPluginSmartCssModules;
exports.useSmartCssModules = useSmartCssModules;
exports.default = void 0;

var _path = require("path");

function babelPluginSmartCssModules(_, {
  exts = ['.css', '.less', '.sass', '.scss', '.stylus', '.styl'],
  flag = 'modules',
  ignore
} = {}) {
  return {
    visitor: {
      ImportDeclaration(path) {
        const {
          specifiers,
          source,
          source: {
            value
          }
        } = path.node;

        if (specifiers.length && exts.includes((0, _path.extname)(value)) && (ignore ? !ignore.test(value) : true)) {
          source.value = `${source.value}?${flag}`;
        }
      }

    }
  };
}

function useSmartCssModules(options) {
  return babelPluginSmartCssModules(null, options);
}

var _default = babelPluginSmartCssModules;
exports.default = _default;